common/urls.py
# -*- coding: utf-8 -*-

from __future__ import unicode_literals

from django.conf.urls import url
from . import views

app_name = 'common'

urlpatterns = [
    # index
    url(r'^$',        views.index,     name='index'),
    # None
    url(r'^none/',    views.None404,        name='none'),
    # About
    url(r'^about/$', views.About.as_view(), name='about'),

    # About
    url(r'^config/$', views.config, name='config'),
]

expedientes/urls.py
# -*- coding: utf-8 -*-

from __future__ import unicode_literals

from django.conf.urls import url
from . import views



app_name = 'expediente'

urlpatterns = [
    #url(r'^$',                            views.home, name='home'),

    # Inicio
    url(r'^$', views.Home.as_view(), name='home'),
    # Expedientes
    url(r'^expedient/$', views.ExpedienteList.as_view(), name="expedientes13"),
    url(r'^expedient/$', views.ExpedienteList.as_view(), name="expedientes"),

    url(r'^expedient/reception$',  views.ExpedientRList.as_view(), name="listER"),
    url(r'^expedient/process$',    views.ExpedientPList.as_view(), name="listEP"),
    url(r'^expedient/history$',    views.ExpedientHList.as_view(), name="listEH"),


    # Details views
    # Expediente
    url(r'^expedient/(?P<id>[0-9a-z-]+)/$', views.ExpedienteDetail.as_view(),  name="expediente"),

    # evidences
    url(r'^evidence/attached/(?P<id>[0-9a-z-]+)/$', views.EvidenceAttachedDetail.as_view(),  name="attached"),
    url(r'^evidence/collection/(?P<id>[0-9a-z-]+)/$', views.EvidenceCollectionDetail.as_view(),  name="collection"),
]

myprofile/urls.py
from django.conf.urls import url
from . import views
from django.views.generic import TemplateView

app_name = 'myprofile'
urlpatterns = [
    url(r'^$',                       views.detail, name='detail'),
    url(r'^(?P<pk>[0-9]+)$',         views.detail_1, name='detail_1'),
    url(r'update/',                  views.update, name='update'),
]

ptt-amb/urls.py
from django.conf.urls import include, url
from django.contrib import admin
from django.views.generic.base import TemplateView
from django.contrib.auth import views as auth_views
#from filebrowser.sites import site
admin.autodiscover()
#import xadmin
#xadmin.autodiscover()

urlpatterns = [

    url(r'^',                   include('common.urls',    namespace='com')),
    url(r'^admin/',             admin.site.urls),
    url(r'^activity/',          include('actstream.urls')),
    url(r'^auth/',              include('django.contrib.auth.urls')),
    url(r'^accounts/',          include('registration.backends.default.urls')),
    url(r'^accounts/profile/',  include('myprofile.urls')),
    url(r'^actions/',           include('actions.urls')),

    #url(r'xadmin/',            include(xadmin.site.urls)),
    #url(r'^myapp/',            include('myapp.urls')),
    #url(r'^test/',             include('test_app.urls')),
    #url(r'^article/',          include('articles.urls',        namespace='articles')),
    #url(r'^org/',              include('organizacion.urls',   namespace='org')),
    url(r'^exp/',               include('expedientes.urls',    namespace='exp')),
    url(r'^sol/',               include('solicitud.urls',    namespace='sol')),
    url(r'^spatial/',           include('spatialMod.urls',    namespace='spa')),
    #url(r'^common/', include('common.urls', namespace='common')),

]

from django.conf.urls import (
handler400, handler403, handler404, handler500
)

#handler400 = 'my_app.views.bad_request'
#handler403 = 'my_app.views.permission_denied'
handler404 = 'common.views.None404'
#handler500 = 'my_app.views.server_error'

solicitud/urls.py
# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.conf.urls import url
from . import views


app_name = 'solicitud'
urlpatterns = [
    url(r'^$',                                  views.RequestListView,                name="list"),

    # vista de estados de la solicitudud.
    url(r'^1/$',                                views.PTTListView.as_view(),           name="list2"),
    url(r'^1/reception$',                       views.PTTRListView.as_view(),           name="list1R"),
    url(r'^1/process$',                         views.PTTPListView.as_view(),           name="list1P"),
    url(r'^1/history$',                         views.PTTHListView.as_view(),           name="list1H"),


    # vistas por cada objeto soliitud desde creacion, edicion, vista, y eliminacion (CRUD)
    url(r'^1/~create$',                         views.PTTCreateView.as_view(),         name="create"),
    url(r'^1/(?P<id>[0-9a-z-]+)/$',             views.PTTDetailView.as_view(),         name="details"),
    url(r'^1/(?P<id>[0-9a-z-]+)/~update$',      views.PTTUpdateView.as_view(),         name="update"),
    url(r'^1/(?P<id>[0-9a-z-]+)/~delete$',      views.PTTDeleteView.as_view(),         name="delete"),

    url(r'^2/~create$',                         views.PTT2CreateView.as_view(),         name="ptt2-create"),
    url(r'^2/(?P<id>[0-9a-z-]+)/$',             views.PTT2DetailView.as_view(),         name="ptt2-details"),
    url(r'^2/(?P<id>[0-9a-z-]+)/~update$',      views.PTT2UpdateView.as_view(),         name="ptt2-update"),
    url(r'^2/(?P<id>[0-9a-z-]+)/~delete$',      views.PTT2DeleteView.as_view(),         name="ptt2-delete"),
]

spatialMod/urls.py
from django.conf.urls import url

from . import views


app_name = 'spatial'

urlpatterns = [
    url(r'^see/$',               views.see,           name="see"),
    url(r'^edit/$',              views.edit,           name="edit"),
 ]

templates/_pagination.html
{% block pagination %}
<!-- pagination -->
{% if page_obj.paginator.num_pages > 1 %}
<nav class="text-center">
  <ul class="pagination pagination-sm">
    {% if page_obj.has_previous %}
    <li><a href="">Primera</a></li>
    <li><a href="">&laquo; Anterior</a></li>
    {% endif %}
    {% for pg in page_obj.paginator.page_range %}
      {% if page_obj.number < pg|add:"5"  and page_obj.number > pg|add:"-5" %}
        {% if page_obj.number == pg %}
    <li class="active"><a href="">{{ pg }}</a></li>
        {% else %}
    <li><a href="">{{ pg }}</a></li>
        {% endif %}
      {% endif %}
    {% endfor %}
    {% if page_obj.has_next %}
    <li><a href="">Siguiente &raquo;</a></li>
    <li><a href="">Última ({{ page_obj.paginator.num_pages }})</a></li>
    {% endif %}
  </ul>
</nav>
{% endif %}
{% endblock pagination %}

templates/base.html
{% extends "pre_base.html" %}
{% block menu %}

<div class="ui inverted huge borderless fixed fluid menu">
  <a class="header item" href="{% url 'common:index' %}">
      <i class="fa fa-folder" aria-hidden="true"></i>
      &nbsp
      AMB
  </a>
  <div class="right menu">
    {% if request.user.is_authenticated %}

    <div class="ui dropdown item">
       <i class="fa fa-user" aria-hidden="true"></i>
       &nbsp
       {{user.username}}
      <i class="dropdown icon"></i>
     <div class="menu">

       <a class="item" href="{% url  'myprofile:detail' %}">
          <i class="fa fa-address-book" aria-hidden="true"></i>
          Perfil de Usuario
       </a>

       {% if request.user.is_staff %}
          <a class="item" href="{% url 'admin:index' %}">
            <i class="fa fa-cog" aria-hidden="true"></i>
            Administración
          </a>
          {% else %}
          <a class="item" href="{% url 'solicitud:list2' %}">
            <i class="fa fa-file-text" aria-hidden="true"></i>
            Mis Solicitudes
          </a>
       {% endif %}
       <a class="item" href="{% url 'password_change' %}">
         <i class="fa fa-key" aria-hidden="true"></i>
         cambiar contraseña
       </a>
       <a class="item" href="{% url 'auth_logout' %}">
         <i class="fa fa-sign-out" aria-hidden="true"></i>
         Salir
       </a>
     </div>
   </div>
    {% else %}
    <a class="item" href="{% url 'auth_login' %}">
      <i class="fa fa-user" aria-hidden="true"></i>
      &nbsp
      Ingresar
    </a>

    {% endif %}

    <a class="item" href="{% url 'common:about' %}">
      <i class="fa fa-info-circle" aria-hidden="true"></i>
      &nbsp
      Acerca de</a>
  </div>
</div>

{% endblock menu %}

templates/content.html
  <div class="content" id="content">
    <h1>Contents</h1>
    {% block content %}
    {% endblock %}
  </div>
</div>

templates/dashboard.html
<!DOCTYPE html>

{% load staticfiles %}
<html>
  <head>
    <meta charset="utf-8" />
    <title>Dashboard</title>

    <link rel="stylesheet" href="{% static 'dist/semantic-ui/semantic.min.css' %}">
    <link rel="stylesheet" href="{% static 'stylesheets/default.css' %}">
    <link rel="stylesheet" href="{% static 'stylesheets/pandoc-code-highlight.css' %}">
    <link rel="stylesheet" href="{% static 'dist/jquery/jquery.min.js' %}">
    <script src="{% static 'dist/jquery/jquery.min.js' %}"></script>
  </head>
  <body>


<!---->
{% include 'menu.html' %}

    <div class="ui grid">
      <div class="row">
        {% include 'sidebar.html' %}

        <div class="column" id="content">

            {% include 'content.html' %}
      </div>
    </div>
    <style type="text/css">
      body {
        display: relative;
      }

      #sidebar {
        position: fixed;
        top: 51.8px;
        left: 0;
        bottom: 0;
        width: 18%;
        background-color: #f5f5f5;
        padding: 0px;
      }
      #sidebar .ui.menu {
        margin: 2em 0 0;
        font-size: 16px;
      }
      #sidebar .ui.menu > a.item {
        color: #337ab7;
        border-radius: 0 !important;
      }
      #sidebar .ui.menu > a.item.active {
        background-color: #337ab7;
        color: white;
        border: none !important;
      }
      #sidebar .ui.menu > a.item:hover {
        background-color: #4f93ce;
        color: white;
      }

      #content {
        margin-left: 19%;
        width: 81%;
        margin-top: 3em;
        padding-left: 3em;
        float: left;
      }
      #content > .ui.grid {
        padding-right: 4em;
        padding-bottom: 3em;
      }
      #content h1 {
        font-size: 36px;
      }
      #content .ui.divider:not(.hidden) {
        margin: 0;
      }
      #content table.ui.table {
        border: none;
      }
      #content table.ui.table thead th {
        border-bottom: 2px solid #eee !important;
      }
    </style>
  </body>
</html>

templates/pre_base.html
<!DOCTYPE html>

{% load staticfiles %}
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Gesti&oacute;n de Expedientes AMB">
    <title>{% block title %}AMB{% endblock %}</title>
    <link rel="shortcut icon" href="{% static "img/favicon.png" %}">

    <link rel="stylesheet" href="{% static 'css/jquery-ui.css' %}">
    <link rel="stylesheet" href="{% static 'semantic/semantic.min.css' %}">
    <link rel="stylesheet" href="{% static 'css/font-awesome.css' %}">

    <script src="{% static 'dist/jquery/jquery.min.js' %}"></script>
    <script src="{% static 'js/jquery-ui.js' %}"></script>
    <script src="{% static 'semantic/semantic.min.js' %}"></script>

    <script src="{% static 'js/lib/jquery.tablesorter.min.js' %}"></script>

    {% block css %}
    {% endblock css %}

  </head>
  <body>


<!---->
  {% block menu %}
  {% endblock menu %}
    <div class="ui grid">
      {% include 'sidebar.html' %}

        <div class="column" id="content">
          {% block content %}
          {% endblock content %}
        </div>
    </div>

    <div class="container">
      {% block footer %}
      {% endblock footer %}
    <style type="text/css">


      #sidebar {
        position: fixed;
        top: 51.8px;
        left: 0;
        bottom: 0;
        width: 18%;
        padding: 0px;
      }

      #content {
        margin-left: 19%;
        /*margin-right: 19%;*/
        width: 81%;
        margin-top: 3em;
        padding-left: 3em;
        padding-right: 3em;
        float: left;
      }

    </style>
    <script>
      $(".page-{% block page %}unknown{% endblock %}").addClass("active");
      $(".ui.dropdown").dropdown();
      $(".ui.form").form();
      $(".ui.sortable.table").tablesorter();
      $("#test").click(function(){
      		//$(".test").modal('show');
          console.log("HM");
          $('.ui.modal').modal('show');
      });
      //$(".ui.date.calendar").calendar({ type: "date" });
      //$(".ui.datetime.calendar").calendar({ type: "datetime" });
      //$(".ui.time.calendar").calendar({ type: "time" });
    </script>


  </body>

      {% block js %}
      {% endblock js %}
</html>

templates/pre_base2.html
<!DOCTYPE html>

{% load staticfiles %}
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Gesti&oacute;n de Expedientes AMB">
    <title>{% block title %}AMB{% endblock %}</title>
    <link rel="shortcut icon" href="{% static "img/favicon.png" %}">

    <link rel="stylesheet" href="{% static 'css/jquery-ui.css' %}">
    <link rel="stylesheet" href="{% static 'css/semantic.css' %}">
    <link rel="stylesheet" href="{% static 'css/font-awesome.css' %}">

    <script src="{% static 'dist/jquery/jquery.min.js' %}"></script>
    <script src="{% static 'js/jquery-ui.js' %}"></script>
    <script src="{% static 'js/semantic.js' %}"></script>
    {% block css %}
    {% endblock css %}

  </head>
  <body>


<!---->
  {% block menu %}
  {% endblock menu %}
    <div class="ui grid">
      {% include 'sidebar.html' %}

        <div class="column" id="content">
          {% block content %}
          {% endblock content %}
        </div>
    </div>

    <div class="container">
      {% block footer %}
      {% endblock footer %}
    <style type="text/css">


      #sidebar {
        position: fixed;
        top: 51.8px;
        left: 0;
        bottom: 0;
        width: 18%;
        padding: 0px;
      }

      #content {
        margin-left: 19%;
        /*margin-right: 19%;*/
        width: 81%;
        margin-top: 3em;
        padding-left: 3em;
        padding-right: 3em;
        float: left;
      }

    </style>
    <script>
      $(".page-{% block page %}unknown{% endblock %}").addClass("active");
      $(".ui.dropdown").dropdown();
      $(".ui.form").form();
      $('.ui.sidebar')
        .sidebar('toggle')
      ;

      //$(".ui.date.calendar").calendar({ type: "date" });
      //$(".ui.datetime.calendar").calendar({ type: "datetime" });
      //$(".ui.time.calendar").calendar({ type: "time" });
    </script>


  </body>

      {% block js %}
      {% endblock js %}
</html>

templates/pre_base3.html
{% extends "base.html" %}

{% block content %}

<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <meta name="viewport" content="initial-scale=1, maximum-scale=1,user-scalable=no">
        <!--<link rel="stylesheet" href="css/bootstrap.min.css">-->
        <!--<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,700">-->
        <!--<link rel="stylesheet" href="css/style.default.css" id="theme-stylesheet">-->
        <!--<link rel="stylesheet" href="css/custom.css">-->
        <link rel="shortcut icon" href="img/favicon.ico">
        <!--<link rel="stylesheet" href="https://file.myfontastic.com/da58YPMQ7U5HY8Rb6UxkNf/icons.css">-->
        <link rel="stylesheet" href="https://js.arcgis.com/3.22/dijit/themes/claro/claro.css">
        <link rel="stylesheet" href="https://js.arcgis.com/3.22/esri/css/esri.css">
        <script src="https://use.fontawesome.com/99347ac47f.js"></script>
        <script src="https://js.arcgis.com/3.22/"></script>
        <script>
            require([
    "esri/layers/FeatureLayer",
    "esri/dijit/FeatureTable",
    "esri/geometry/Extent",
    "esri/graphicsUtils",
    "esri/tasks/query",
    "esri/symbols/PictureMarkerSymbol",
    "esri/map",
    "dojo/dom",
    "dojo/parser",
    "dojo/ready",
    "dojo/on",
    "dijit/layout/ContentPane",
    "dijit/layout/BorderContainer"
], function (
        FeatureLayer, FeatureTable, Extent, graphicsUtils, Query, PictureMarkerSymbol, Map,
        dom, parser, ready, on, ContentPane, BorderContainer
        ) {

    parser.parse();

    ready(function () {

        var basemap = new esri.layers.ArcGISTiledMapServiceLayer("https://avestruz.uis.edu.co/arcgis102/rest/services/SIGAMB/MAPA_BASE_VECTORIAL_102/MapServer", {
            useMapImage: true,
            "id": "Basemap"
        });

        map = new Map("map", {
            basemap: "Basemap",
            center: [-73.1198000, 7.1253900],
            zoom: 3
        });
        map.addLayer(basemap);

        //Load a FeatureTable to the application once map loads
        map.on("load", loadTable);

        function loadTable() {

            // editable FeatureLayer
            var myFeatureLayer = new FeatureLayer("https://avestruz.uis.edu.co/arcgis102/rest/services/SIGAMB/CAPAS_TEMATICAS_CDA_CON_VISTA2/FeatureServer/0", {
                mode: FeatureLayer.MODE_ONDEMAND,
                outFields: ["*"],
                visible: true,
                id: "fLayer2"
            });

            // Imagen que se muestra cuando se selecciona un elemento del mapa
            var selectionSymbol = new PictureMarkerSymbol("https://icon-icons.com/icons2/364/PNG/256/Banned_36950.png", 35, 35);
            myFeatureLayer.setSelectionSymbol(selectionSymbol);

            // Escucha el evento en la FeatureLayer  para manejar la selección
            // de la capa a la tabla
            // Cuando el usuario hace clic en un elemento del mapa, el
            // registro correspondiene será seleccionado en la tabla
            myFeatureLayer.on("click", function (evt) {
                var idProperty = myFeatureLayer.objectIdField,
                        feature,
                        featureId,
                        query;

                if (evt.graphic && evt.graphic.attributes && evt.graphic.attributes[idProperty]) {
                    feature = evt.graphic,
                            featureId = feature.attributes[idProperty];

                    query = new Query();
                    query.returnGeometry = false;
                    query.objectIds = [featureId];
                    query.where = "1=1";

                    myFeatureLayer.selectFeatures(query, FeatureLayer.SELECTION_NEW);
                }
            });

            // this layer is an editable layer
            map.addLayer(myFeatureLayer);

            //create new FeatureTable and set its properties
            var myFeatureTable = new FeatureTable({
                featureLayer: myFeatureLayer,
                map: map,
                editable: true,
                syncSelection: true,
                dateOptions: {
                    datePattern: 'M/d/y',
                    timeEnabled: true,
                    timePattern: 'H:mm',
                },
            }, 'myTableNode');

            myFeatureTable.startup();

            // Escuchar para refrescar el evento
            myFeatureTable.on("refresh", function (evt) {
                console.log("refresh event - ", evt);
            });
        }
    });
});
        </script>
        <style>
            html, body, #map {
                width: 100%;
                height: 100%;
                margin: 0;
                padding: 0;
            }
        </style>
        <title>Editar elementos</title>
    </head>
    <body class="claro esri">
        <!-- Main Navbar -->
        <!--        <header class="header">
                    <nav class="navbar">
                        <div class="container-fluid">
                            <div class="navbar-holder d-flex align-items-center justify-content-between">
                                <a href="index.html" class="navbar-brand">
                                    <div class="brand-text brand-big hidden-lg-down">
                                        <img src="img/Logo_pagína_web_edición.png" alt="brand logo"/>
                                        <span>Aplicación de</span><strong> Edición</strong>
                                    </div>
                                    <div class="brand-text brand-small"><strong>AE</strong></div>
                                </a>
                                 Navbar Menu
                                <ul class="nav-menu list-unstyled d-flex flex-md-row align-items-md-center">
                                     Logout
                                    <li class="nav-item">
                                        <a href="login.html" class="nav-link logout">Cerrar Sesión<i class="fa fa-sign-out"></i></a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </nav>
                </header>-->
        <!-- End Navbar -->

        <!-- @CONTENT -->
        <!-- Mapa 2 -->
        <div data-dojo-type="dijit/layout/BorderContainer" data-dojo-props="design:'headline'" style="width:100%; height:100%;">
            <div data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region:'center', splitter:true" style="height:50%">
                <div id="map"></div>
            </div>
            <div id="bot" data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region:'bottom', splitter:true" style="height:50%;">
                <div id="myTableNode"></div>
            </div>
        </div>
        <!-- Fin Mapa 2 -->
        <!-- END CONTENT -->

        <!--         Javascript files
                <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
                <script src="js/tether.min.js"></script>
                <script src="js/bootstrap.min.js"></script>
                <script src="js/jquery.cookie.js"></script>
                <script src="js/jquery.validate.min.js"></script>
                <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.5.0/Chart.min.js"></script>
                <script src="js/charts-home.js"></script>
                <script src="js/front.js"></script>-->
    </body>
</html>

{% endblock %}

templates/sidebar.html
<div class="column" id="sidebar">
  <div class="ui secondary thin vertical fluid menu">


    {% if request.user.is_superuser %}
    <a href="{% url 'actstream' %}"         class="item">Actividades</a>
    <div class="item">
      <div class="header">
        <i class="fa fa-folder" aria-hidden="true"></i>
        Expedientes</div>
      <div class="menu">
          <a class="item" href="{% url 'expediente:listER' %}"> <i class="fa fa-inbox" aria-hidden="true"></i> Recientes </a>
          <a class="item" href="{% url 'expediente:listEP' %}"> <i class="fa fa-refresh" aria-hidden="true"></i> En Proceso </a>
          <a class="item" href="{% url 'expediente:listEH' %}"> <i class="fa fa-archive" aria-hidden="true"></i> Historicas </a>
      </div>
    </div>
    <div class="item">
      <div class="header">
        <i class="fa fa-map-marker" aria-hidden="true"></i>
        Mod Espacial</div>
      <div class="menu">
          <a class="item" href="{% url 'spatial:see' %}"> <i class="fa fa-pencil-square-o" aria-hidden="true"></i> Editar </a>
      </div>
    </div>
    {% endif %}

    {% if request.user.is_authenticated %}
    <div class="item">
      <div class="header">
        <i class="fa fa-file-text" aria-hidden="true"></i>
        Solicitudes</div>
      <div class="menu">
        <a class="item" href="{% url 'solicitud:list1R' %}"> <i class="fa fa-inbox" aria-hidden="true"></i> Recientes </a>
        <a class="item" href="{% url 'solicitud:list1P' %}"> <i class="fa fa-refresh" aria-hidden="true"></i> En Proceso </a>
        <a class="item" href="{% url 'solicitud:list1H' %}"> <i class="fa fa-archive" aria-hidden="true"></i> Historicas </a>
      </div>
    </div>
    <div class="ui hidden divider"></div>
    <div class="item">
      <div class="header">
        <i class="fa fa-university" aria-hidden="true"></i>
        AMB - Solicitudes</div>
      <div class="menu">
          <a class="item" href="{% url 'solicitud:list' %}">
            <i class="fa fa-tree" aria-hidden="true"></i>
            Ambiental
          </a>
          <a class="item" href="{% url 'common:none' %}">
            <i class="fa fa-bus" aria-hidden="true"></i>
            Transporte
          </a>
      </div>
    </div>
    {% endif %}

  </div>
</div>